# {%= name %} {%= badge("fury") %}

> {%= description %}

## Install
{%= include("install") %}

## Run tests

```bash
npm test
```

## Run benchmarks

This implementation is between 50% and 100% faster than other implementations I tested.

```bash
node benchmark
```

## Usage

```js
var get = require('{%= name %}');

get({a: 'a', b: {c: 'd'}}, 'a')
//=> 'a'

get({a: 'a', b: {c: 'd'}}, 'b.c')
//=> 'd'

get({a: {b: 'c', c: {d: 'e', e: 'f', g: {h: 'i'}}}}, 'a.c.g.h')
//=> 'i'
```

## Author
{%= include("author") %}

## License
{%= copyright() %}
{%= license() %}

***

{%= include("footer") %}