# get-object [![NPM version](https://badge.fury.io/js/get-object.svg)](http://badge.fury.io/js/get-object)


> Get a object from a property on a nested object.

## Install
#### Install with [npm](npmjs.org):

```bash
npm i get-object --save-dev
```

## Run tests

```bash
npm test
```

## Run benchmarks

This implementation is between 50% and 100% faster than other implementations I tested.

```bash
node benchmark
```

## Usage

```js
var get = require('get-object');

get({a: 'a', b: {c: 'd'}}, 'a')
//=> 'a'

get({a: 'a', b: {c: 'd'}}, 'b.c')
//=> 'd'

get({a: {b: 'c', c: {d: 'e', e: 'f', g: {h: 'i'}}}}, 'a.c.g.h')
//=> 'i'
```

## Author

**Jon Schlinkert**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2014 Jon Schlinkert, contributors.  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on October 06, 2014._